org.apache.lucene.analysis.ngram

## Enum Lucene43EdgeNGramTokenizer.Side

- java.lang.Object
- - java.lang.Enum<Lucene43EdgeNGramTokenizer.Side>
  - - org.apache.lucene.analysis.ngram.Lucene43EdgeNGramTokenizer.Side

- All Implemented Interfaces:
    Serializable, Comparable<Lucene43EdgeNGramTokenizer.Side>
  Enclosing class:
    Lucene43EdgeNGramTokenizer

      public static enum Lucene43EdgeNGramTokenizer.Side
      extends Enum<Lucene43EdgeNGramTokenizer.Side>

  Specifies which side of the input the n-gram should be generated from

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BACK` Get the n-gram from the end of the input
    `FRONT` Get the n-gram from the front of the input

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getLabel()`
    `static Lucene43EdgeNGramTokenizer.Side` | `getSide(String sideName)`
    `static Lucene43EdgeNGramTokenizer.Side` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Lucene43EdgeNGramTokenizer.Side[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FRONT

          public static final Lucene43EdgeNGramTokenizer.Side FRONT

      Get the n-gram from the front of the input

    - #### BACK

          public static final Lucene43EdgeNGramTokenizer.Side BACK

      Get the n-gram from the end of the input

  - ### Method Detail

    - #### values

          public static Lucene43EdgeNGramTokenizer.Side[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Lucene43EdgeNGramTokenizer.Side c : Lucene43EdgeNGramTokenizer.Side.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Lucene43EdgeNGramTokenizer.Side valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getLabel

          public abstract String getLabel()

    - #### getSide

          public static Lucene43EdgeNGramTokenizer.Side getSide(String sideName)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.